> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/describecidrs.md).

# DescribeCidrs

## 1. 接口描述

本接口(DescribeCidrs)用于查询IPv4 CIDR地址块列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                                  | 描述                                                   |
| --------------- | -- | ----------------------------------------------------------------------------------- | ---------------------------------------------------- |
| cidrIds         | 否  | Array of String                                                                     | 一个或多个待操作的Cidr ID，根据cidrId进行过滤。                       |
| regionId        | 否  | String                                                                              | 根据CIDR所在的节点ID进行过滤。                                   |
| name            | 否  | String                                                                              | 根据CIDR名称进行过滤，支持模糊查询。                                 |
| cidrBlock       | 否  | String                                                                              | 根据CIDR地址进行过滤。                                        |
| source          | 否  | [CidrCreateSource](/api-reference/cn/compute/zec/datastructure.md#cidrcreatesource) | 根据CIDR来源进行过滤。                                        |
| asn             | 否  | Integer                                                                             | 根据ASN编号进行过滤。                                         |
| resourceGroupId | 否  | String                                                                              | 根据资源组ID进行过滤。                                         |
| pageSize        | 否  | Integer                                                                             | <p>返回的分页大小，默认为20，最大为1000。</p><p>可选值范围：\[1, 1000]</p> |
| pageNum         | 否  | Integer                                                                             | <p>返回的分页数。</p><p>可选值范围：\[1, +)</p><p>默认值：1</p>       |
| tagKeys         | 否  | Array of String                                                                     | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>                |
| tags            | 否  | Array of [Tag](/api-reference/cn/compute/zec/datastructure.md#tag)                  | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>                  |

## 3. 响应结果

| 参数名称       | 类型                                                                           | 描述                                                       |
| ---------- | ---------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                      | 符合条件的数据总数。                                               |
| dataSet    | Array of [CidrInfo](/api-reference/cn/compute/zec/datastructure.md#cidrinfo) | 查询CIDR地址的结果数据。                                           |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询CidrBlock为`128.0.0.0/24`的Cidr列表。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCidrs
<Common Request Params>

Request：
{
  "cidrIds": ["xxx"],
  "regionId": "asia-east-1",
  "cidrBlock": "128.0.0.0/24",
  "pageSize": 10,
  "pageNum": 1
}
Response：
{
    "requestId": "TA87CE637-EDF9-423A-81C0-5A6605789BBE",
    "response": {
        "dataSet": [
            {
                "cidrBlock": "128.0.0.0/24",
                "cidrId": "<cidrId>",
                "createTime": "2026-04-28T09:22:44Z",
                "eipV4Type": "BGPLine",
                "name": "128.0.0.0/24",
                "netmask": 24,
                "networkLineType": "PremiumBGP",
                "poolId": "<poolId>",
                "regionId": "<regionId>",
                "resourceGroupId": "<resourceGroupId>",
                "resourceGroupName": "<resourceGroupName>",
                "source": "CONSOLE",
                "status": "AVAILABLE",
                "asn": null,
                "totalCount": 20,
                "usedCount": 1
            }
        ],
        "requestId": "TA87CE637-EDF9-423A-81C0-5A6605789BBE",
        "totalCount": 1
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
